Bug 191576 - sol crashes on startup with SIGSEGV
sol crashes on startup with SIGSEGV
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-games (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-12 23:55 EDT by Valdis Kletnieks
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 14:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2006-05-12 23:55:50 EDT
Description of problem:
sol crashes at startup with a SIGSEGV.

Running it under GDB produces this backtrace:

(aisleriot:26081): GdkPixbuf-CRITICAL **: gdk_pixbuf_format_is_scalable:
assertion `format != NULL' failed

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1230137664 (LWP 26081)]
0x080592de in games_file_list_find ()
(gdb) where
#0  0x080592de in games_file_list_find ()
#1  0x0805c1ad in games_find_similar_file ()
#2  0x08059c75 in games_card_images_get_card_by_id ()
#3  0x0805a164 in games_card_pixmaps_get_card_by_id ()
#4  0x0805a2a5 in games_card_pixmaps_get_back ()
#5  0x0805a2e8 in games_card_pixmaps_get_mask ()
#6  0x08057a98 in set_card_size ()
#7  0x080569ae in set_geometry ()
#8  0x08056a3e in rescale_cards ()
#9  0x0805509f in configure_event ()
#10 0xb796d472 in gtk_marshal_BOOLEAN__VOID ()
   from /usr/lib/libgtk-x11-2.0.so.0
#11 0xb752afdb in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#12 0xb753d295 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#13 0xb753e5a6 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#14 0xb753e999 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#15 0xb7a94c98 in gtk_widget_get_default_style ()
   from /usr/lib/libgtk-x11-2.0.so.0
#16 0xb78dc383 in gtk_drawing_area_new () from /usr/lib/libgtk-x11-2.0.so.0
#17 0xb7538e63 in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#18 0xb7529809 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#19 0xb752b0be in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#20 0xb753d71a in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#21 0xb753e6f3 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#22 0xb753e999 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#23 0xb7a9ad47 in gtk_widget_size_allocate () from /usr/lib/libgtk-x11-2.0.so.0
#24 0xb7a8ffe6 in gtk_vbox_new () from /usr/lib/libgtk-x11-2.0.so.0
#25 0xb7538e63 in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#26 0xb7529809 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#27 0xb752b0be in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#28 0xb753d71a in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#29 0xb753e6f3 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#30 0xb753e999 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#31 0xb7a9ad47 in gtk_widget_size_allocate () from /usr/lib/libgtk-x11-2.0.so.0
#32 0xb7e66701 in bonobo_dock_new () from /usr/lib/libbonoboui-2.so.0
#33 0xb7538e63 in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#34 0xb7529809 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#35 0xb752b0be in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#36 0xb753d71a in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#37 0xb753e6f3 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#38 0xb753e999 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#39 0xb7a9ad47 in gtk_widget_size_allocate () from /usr/lib/libgtk-x11-2.0.so.0
#40 0xb7a8ffe6 in gtk_vbox_new () from /usr/lib/libgtk-x11-2.0.so.0
#41 0xb7538e63 in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#42 0xb7529809 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#43 0xb752b0be in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#44 0xb753d71a in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#45 0xb753e6f3 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#46 0xb753e999 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#47 0xb7a9ad47 in gtk_widget_size_allocate () from /usr/lib/libgtk-x11-2.0.so.0
#48 0xb7aad20b in gtk_window_new () from /usr/lib/libgtk-x11-2.0.so.0
#49 0xb7538e63 in g_cclosure_marshal_VOID__BOXED ()
   from /usr/lib/libgobject-2.0.so.0
#50 0xb7529809 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#51 0xb752afdb in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#52 0xb753d71a in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#53 0xb753e6f3 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#54 0xb753e999 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#55 0xb7a9ad47 in gtk_widget_size_allocate () from /usr/lib/libgtk-x11-2.0.so.0
#56 0xb7aae944 in gtk_window_new () from /usr/lib/libgtk-x11-2.0.so.0
#57 0xb7ef6066 in gnome_app_new () from /usr/lib/libgnomeui-2.so.0
#58 0xb7538809 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#59 0xb7529809 in g_value_set_static_boxed () from /usr/lib/libgobject-2.0.so.0
#60 0xb752afdb in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#61 0xb753d71a in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#62 0xb753e6f3 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#63 0xb753e999 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#64 0xb7a9c367 in gtk_widget_show () from /usr/lib/libgtk-x11-2.0.so.0
#65 0xb78ca200 in gtk_container_child_type () from /usr/lib/libgtk-x11-2.0.so.0
#66 0xb7a9d9ee in gtk_widget_show_all () from /usr/lib/libgtk-x11-2.0.so.0
#67 0x080521bc in new_game ()
#68 0xb73e9fb6 in scm_boot_guile () from /usr/lib/libguile.so.17
#69 0xb73bc2e2 in scm_char_upcase () from /usr/lib/libguile.so.17
#70 0xb742ea96 in scm_c_catch () from /usr/lib/libguile.so.17
#71 0xb73bc842 in scm_i_with_continuation_barrier ()
   from /usr/lib/libguile.so.17
#72 0xb73bc923 in scm_c_with_continuation_barrier ()
   from /usr/lib/libguile.so.17
#73 0xb742db59 in scm_i_with_guile_and_parent () from /usr/lib/libguile.so.17
#74 0xb742dc4e in scm_with_guile () from /usr/lib/libguile.so.17
#75 0xb73e9f4f in scm_boot_guile () from /usr/lib/libguile.so.17
#76 0x08051187 in main ()


Version-Release number of selected component (if applicable):
gnome-games-2.15.1-1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthias Clasen 2006-07-25 14:07:25 EDT
gnome-games needs to requires librsvg now
Comment 2 Matthias Clasen 2006-07-25 14:10:13 EDT
Will be fixed in 2.15.4-2

Note You need to log in before you can comment on or make changes to this bug.